%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif


%global debug_package %{nil}
%global title RabbitVCS

Name:           rabbitvcs
Version:        0.15.3
Release:        %mkrel 10
Summary:        Graphical user interface to version control systems
Group:          Development/Tools

License:        GPLv2+
URL:            http://www.%{name}.org/
Source0:        https://%{name}.googlecode.com/files/%{name}-%{version}.tar.bz2

BuildRequires:  pygtk2.0 >= 2.12
BuildRequires:  python-devel
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
RabbitVCS is a set of graphical tools written to provide simple
and straightforward access to the version control systems you use.

%package core
Summary:        Core package of RabbitVCS
Group:          Development/Tools

Requires:       dbus-python
Requires:       meld
Requires:       pygtk2.0-libglade
Requires:       pygtk2
Requires:       python-pysvn
Requires:       python-dulwich
Requires:       python-configobj
Requires:       python-simplejson
Requires:       subversion
Requires:	python-gi
BuildArch:      noarch

%description core
Contains packages shared between the RabbitVCS extensions.

%package nautilus
Summary:        Nautilus extension for RabbitVCS
Group:          Development/Tools
Requires:       rabbitvcs-core = %{version}-%{release}
Requires:       nautilus
Requires:       nautilus-python >= 0.7.0
Requires:       dbus-python
Requires:	python-gi
#RabbitVCS is the new name for NautilusSVN.
Provides:       nautilussvn = %{version}-%{release}

%description nautilus
RabbitVCS is a set of graphical tools written to provide simple and
straightforward access to the version control systems you use. This is the
extension for the Nautilus file manager.

%package thunar
Summary:        Thunar extension for RabbitVCS
Group:          Development/Tools
Requires:       rabbitvcs-core = %{version}-%{release}
Requires:       thunar >= 0.4.0
Requires:       thunarx-python >= 0.2.0
Requires:       dbus-python >= 0.80

%description thunar
An extension for Thunar to allow better integration with the
Subversion source control system.

%package gedit
Summary:        Gedit extension for RabbitVCS
Group:          Development/Tools
Requires:       rabbitvcs-core = %{version}-%{release}
Requires:       gedit >= 3.0.0
Requires:	python-gi

%description gedit
RabbitVCS is a set of graphical tools written to provide simple and
straightforward access to the version control systems you use. This is the
extension for gedit text editor

%package cli
Summary:        CLI extension for RabbitVCS
Group:          Development/Tools
Requires:       rabbitvcs-core = %{version}-%{release}
BuildArch:      noarch

%description cli
RabbitVCS is a set of graphical tools written to provide simple and
straightforward access to the version control systems you use. This is the
extension for command line interface.

%prep
%setup -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# Installing Nautilus extension
mkdir -p $RPM_BUILD_ROOT%{_datadir}/nautilus-python/extensions/
cp clients/nautilus-3.0/%{title}.py $RPM_BUILD_ROOT%{_datadir}/nautilus-python/extensions/%{title}.py

# Installing Thunar Extension
mkdir -p $RPM_BUILD_ROOT%{_libdir}/thunarx-2/python/
cp clients/thunar/%{title}.py $RPM_BUILD_ROOT%{_libdir}/thunarx-2/python/%{title}.py

# Installing Gedit Extension
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gedit/plugins/
cp clients/gedit/%{name}-plugin.py $RPM_BUILD_ROOT%{_libdir}/gedit/plugins/%{name}-plugin.py
cp clients/gedit/%{name}-gedit3.plugin $RPM_BUILD_ROOT%{_libdir}/gedit/plugins/%{name}-gedit3.plugin

# Installing CLI Extension
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp clients/cli/%{name} $RPM_BUILD_ROOT%{_bindir}/%{name}

rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%find_lang %{title}

%post core
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun core
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans core
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{title}.lang core
%doc AUTHORS COPYING MAINTAINERS
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/16x16/actions/rabbitvcs-push.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}-%{version}-py?.?.egg-info

%files nautilus
%{_datadir}/nautilus-python/extensions/%{title}.py*

%files thunar
%{_libdir}/thunarx-2/python/%{title}.py*

%files gedit
%{_libdir}/gedit/plugins/%{name}-plugin.py*
%{_libdir}/gedit/plugins/%{name}-gedit3.plugin

%files cli
%{_bindir}/%{name}



%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.15.3-10.mga6
+ Revision: 941377
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.15.3-9.mga5
+ Revision: 747372
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.15.3-8.mga5
+ Revision: 730083
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.15.3-7.mga5
+ Revision: 688596
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat Nov 02 2013 fwang <fwang> 0.15.3-5.mga4
+ Revision: 548973
- add python-gi as requires

* Tue Oct 22 2013 umeabot <umeabot> 0.15.3-4.mga4
+ Revision: 544572
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.15.3-3.mga4
+ Revision: 499806
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 joequant <joequant> 0.15.3-2.mga4
+ Revision: 497282
- fix build requires

* Mon Oct 14 2013 joequant <joequant> 0.15.3-1.mga4
+ Revision: 497186
- imported package rabbitvcs

